AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
GetOptionCommand Class
GetOptionCommand Constructor
GetOptionCommand Constructor (String, String)
GetOptionCommand Constructor (String, String, Int32)

| GetOptionCommand Constructor (String, String, Int32)

Creates a new GetOptionCommand with the given timeout.

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public GetOptionCommand(
    	string file,
    	string escapeDigits,
    	int timeout
    )

    Public Sub New (
    	file As String,
    	escapeDigits As String,
    	timeout As Integer
    )

    public:
    GetOptionCommand(
    	String^ file,
    	String^ escapeDigits,
    	int timeout
    )

    new :
            file : string *
            escapeDigits : string *
            timeout : int -> GetOptionCommand

#### Parameters

file
  Type: System
  String
  the name of the file to stream, must not include extension.
escapeDigits
  Type: System
  String
  contains the digits that the user is expected to press.
timeout
  Type: System
  Int32
  the timeout in seconds to wait if none of the defined esacpe digits was presses while streaming.

See Also

#### Reference

GetOptionCommand Class
GetOptionCommand Overload
AsterNET.FastAGI.Command Namespace